This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 189665 - Kernel 2.6.16 breaks proper mouse wheel functions of Logitech Cordless Mouse connected via Digitus KVM switch
Kernel 2.6.16 breaks proper mouse wheel functions of Logitech Cordless Mouse ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 08:21 EDT by Peter Bieringer
Modified: 2008-02-05 08:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:35:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-04-22 08:21:29 EDT
Description of problem:
While kernel 2.6.15 and before (from 2.6.12 or so I think) has no problems with
Digitus KVM switch, a new problem rises up with 2.6.16

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2096_FC4

How reproducible:
Everytime booting 2.6.16 kernels

Steps to Reproduce:
1. Connect keyboard and mouse through Digitus KVM switch
2. boot
3. try to use mouse wheel
  
Actual results:
mouse cursor moving fast to right side of screen instead of scrolling up or down


Expected results:
Working like in 2.6.15


Additional info:
Afair I had already problems with original Fedora Core 4 kernel and mouse
connected through Digitus KVM switch

Now problems appear again.

Are there any major changes made in mouse driver code?
Comment 1 Dave Jones 2006-09-16 22:48:23 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Peter Bieringer 2006-09-17 05:11:50 EDT
It still happen on latest FC5 kernel-2.6.17-1.2187_FC5.
I run additional hardware tests and found following:

Logitech Cordless Wheel Mouse: problem exists
Logitech Cordless MouseMan optical: ok
Comment 3 Dave Jones 2006-10-16 17:49:06 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 17:16:42 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 5 Jon Stanley 2008-02-05 08:35:36 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.